Name:           aqute-bndlib
Version:        1.50.0
Release:        %mkrel 4
Summary:        BND Library
License:        ASL 2.0
Group:          Development/Java
URL:            http://www.aQute.biz/Code/Bnd

Source0:        http://repo1.maven.org/maven2/biz/aQute/bndlib/1.50.0/bndlib-1.50.0.jar
#Source1:       http://repo1.maven.org/maven2/biz/aQute/bndlib/1.50.0/bndlib-1.50.0.pom
Source1:        bndlib-1.50.0-mod.pom

BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  maven
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  locales-en

Requires:       java
Requires:       jpackage-utils

%description
The bnd tool helps you create and diagnose OSGi R4 bundles.
The key functions are:
- Show the manifest and JAR contents of a bundle
- Wrap a JAR so that it becomes a bundle
- Create a Bundle from a specification and a class path
- Verify the validity of the manifest entries
The tool is capable of acting as:
- Command line tool
- File format
- Directives
- Use of macros

%files
%doc LICENSE
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

#--------------------------------------------------------------------

%package javadoc
BuildRequires:  jpackage-utils
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
API documentation for %{name}.

%files javadoc
%doc LICENSE
%{_javadocdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -c

# fixing incomplete source directory structure
mkdir -p src/main/java target/classes
mv -f OSGI-OPT/src/* src/main/java/

# removing bundled classess & junk
rm -rf OSGI-OPT
rm -rf META-INF
rm -rf src/main/java/aQute/bnd/test
find . -iname '*.class' -delete
find . -iname 'packageinfo' -delete

# recycling all data files
mv -f aQute target/classes
mv -f org target/classes

# for building with maven
cp %{SOURCE1} pom.xml

# CR+LF -> LF
sed -i "s|\r||g" LICENSE

%build
export LC_ALL=en_US.UTF-8
mvn-rpmbuild install javadoc:aggregate

%install
# jars
install -Dpm 644 target/bndlib-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# pom
#install -Dpm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
install -Dpm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%add_maven_depmap JPP-%{name}.pom %{name}.jar



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.50.0-4.mga3
+ Revision: 346005
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 1.50.0-3.mga3
+ Revision: 326673
- Add missing buildrequire

* Fri Jan 06 2012 dmorgan <dmorgan> 1.50.0-2.mga2
+ Revision: 192041
- Use new maven macros

  + gil <gil>
    - clean spec file
    - edit pom
      spec file cleaned and correct
    - edit pom
    - update to 1.50.0

* Sat Dec 03 2011 gil <gil> 0:1.43.0-2.mga2
+ Revision: 175310
- build fix
  missing non-class files added

* Tue Nov 22 2011 gil <gil> 0:1.43.0-1.mga2
+ Revision: 170901
- fix depmap
- update to 1.43.0

* Wed Apr 27 2011 dmorgan <dmorgan> 0:0.0.363-6.mga1
+ Revision: 92253
- Rebuild after bootstrapping
- imported package aqute-bndlib

